Skip to content
Permalink
Browse files

sdl1 - bump base version for Raspbian 10 (buster)

  • Loading branch information...
joolswills committed Nov 6, 2019
1 parent b69b94d commit d52a571053e1e9e55a4603978dbfeb41617b5cd8
Showing with 4 additions and 1 deletion.
  1. +4 −1 scriptmodules/supplementary/sdl1.sh
@@ -19,9 +19,12 @@ function get_pkg_ver_sdl1() {
local basever
local revision

if compareVersions "$__os_release" ge 9; then
if compareVersions "$__os_release" eq 9; then

This comment has been minimized.

Copy link
@cmitu

cmitu Nov 7, 2019

Contributor

On Stretch, $__os_release is 9.11, so the get_pkg_ver_sdl1 will incorrectly return 1.2.15-12rpi instead of 1.2.15+dfsg1-6rpi. Trying a binary update will try to fetch stretch/rpi3/libsdl1.2debian_1.2.15-12rpi_armhf.deb from the RP update server, which doesn't exist.

This comment has been minimized.

Copy link
@joolswills

joolswills Nov 7, 2019

Author Member

Thanks - ill check.

This comment has been minimized.

Copy link
@joolswills

joolswills Nov 7, 2019

Author Member

Yeah it should be using $__os_debian_ver I guess - I must have assumed it was using this when making this change. fixing now.

This comment has been minimized.

Copy link
@joolswills

joolswills Nov 7, 2019

Author Member

Should be sorted now.

basever="1.2.15+dfsg1"
revision="4"
elif compareVersions "$__os_release" eq 10; then
basever="1.2.15+dfsg2"
revision="4"
else
basever="1.2.15"
revision="10"

0 comments on commit d52a571

Please sign in to comment.
You can’t perform that action at this time.